(defpackage #:gui
  (:use :cl)
  (:local-nicknames (:r :raylib)
		    (:v :3d-vectors))
  (:export #:element
	   #:rectangle
	   #:text
	   #:line
	   #:x
	   #:y
	   #:w
	   #:h
	   #:h-align
	   #:v-align
	   #:offset-x
	   #:offset-y
	   #:screen-x
	   #:screen-y
	   #:end-x
	   #:end-y
	   #:thickness
	   #:color
	   #:parent
	   #:children
	   #:visible
	   #:draw
	   #:hoveredp
	   #:clickedp
	   #:remove-child
	   #:remove-children
	   #:add-child
	   #:add-children
	   #:update
	   #:make-element
	   #:make-text
	   #:make-rectangle
	   #:make-line
	   #:with-gui)
  ;; text-field.lisp
  (:export #:text-field
	   #:focusp
	   #:border
	   #:border-color
	   #:border-thickness
	   #:cursor
	   #:padding
	   #:make-text-field
	   ))
