(in-package #:pong.client)

(defparameter *scene* nil)

(defclass scene ()
  ((root-element :initarg :root-element
		 :initform (make-instance 'gui:element)
		 :reader scene-root-element)
   (should-close :initarg :should-close
		 :initform nil
		 :accessor scene-should-close)))

(defgeneric on-draw (scene))
(defgeneric on-update (scene timelapse))

(defmethod on-draw :after ((scene scene))
  (gui:draw (scene-root-element scene)))

(defun set-scene (scene)
  (setf *scene* scene))
