(defpackage :pong.game
  (:use :cl)
  (:local-nicknames (:v :3d-vectors))
  (:nicknames :g)
  (:export #:paddle
	   #:ball
	   #:state
	   #:game
	   #:online-game
	   #:on-update
	   #:on-init
	   #:on-quit
	   #:launch-ball
	   #:random-launch-ball
	   #:game-state
	   #:state-timestamp
	   #:state-left-paddle
	   #:state-right-paddle
	   #:state-left-score
	   #:state-right-score
	   #:state-ball
	   #:state-bounces
	   #:state-left-player
	   #:state-right-player
	   #:actions
	   #:ball-x
	   #:ball-y
	   #:ball-vx
	   #:ball-vy
	   #:paddle-y
	   #:paddle-vy
	   #:+paddle-speed+
	   #:+paddle-height+
	   #:+paddle-width+
	   #:+max-launch-angle+
	   #:+ball-radius+
	   #:action-timestamp
	   #:game-action
	   #:start-down-action
	   #:stop-down-action
	   #:start-up-action
	   #:stop-up-action
	   #:game-code
	   #:apply-action
	   #:name
	   #:state-paused
	   #:pause
	   #:resume
	   #:game-action-message
	   #:state-updated-message
	   #:create-game-message
	   #:join-game-message
	   #:game-created-message
	   #:game-joined-message
	   #:player-left-message
	   #:game-does-not-exist
	   #:game-full
	   #:game-code
	   #:game-action
	   #:player-name
	   #:player-paddle
	   #:get-time
	   ))
