#!/bin/sh

rm -rf $PWD/AppDir/

mkdir -p $PWD/AppDir/usr/bin
mkdir -p $PWD/AppDir/usr/share/icons

cp $PWD/icon.png $PWD/AppDir/usr/share/icons/

sbcl --load "init.lisp" --eval "(asdf:make \"client\")" --eval "(quit)"

appimage-builder --skip-tests --skip-appimage

cp $PWD/bin/client $PWD/AppDir/usr/bin/

appimage-builder --skip-script --skip-build --skip-tests

tar -pzcvf Pariatech\'s\ Pong-latest-x86_64.tar.gz Pariatech\'s\ Pong-latest-x86_64.AppImage client/assets/
