(require :asdf)

(asdf:defsystem #:client
  :description "Pariatech's Pong game client"
  :author "Gabriel Pariat <gabriel@pariatech.com>"
  :license "AGPLv3"
  :version "0.0.1"
  :serial t
  :depends-on ("game" "cl-raylib" "3d-vectors" "usocket" "bordeaux-threads" "str")
  :build-operation "program-op"
  :build-pathname "../../bin/client"
  :entry-point "pong.client:main"
  :pathname "src"
  :components
  ((:file "package")
   (:file "constants")
   (:module "gui"
    :serial t
    :components ((:file "package")
		 (:file "gui")
		 (:file "element")
		 (:file "rectangle")
		 (:file "text")
		 (:file "line")
		 (:file "text-field")))
   (:file "utils")
   (:file "scene")
   (:file "game-scene")
   (:file "local-game")
   (:file "online-game")
   (:file "join-online-game-scene")
   (:file "create-online-game-scene")
   (:file "main-menu")
   (:file "client")))

