(in-package :pong.client)

(defun main ()
  (let* ((last-time nil)
	 (current-time (g:get-time)))
    (r:with-window (800 600 "Pariatech's Pong")
      (gui:with-gui
	(open-main-menu)
	
	(r:set-config-flags r:+flag-window-resizable+)
	(r:set-target-fps 60) 
	(r:set-exit-key 0)
	(loop
	  until (or (r:window-should-close) (scene-should-close *scene*))  
	  do (setf last-time current-time)
	     (setf current-time (g:get-time))
	     
	     (let ((timelapse (- current-time last-time)))
	       (on-update *scene* timelapse))
	     (r:with-drawing
	       (r:clear-background r:+gray+)
	       (on-draw *scene*)
	       (r:draw-fps 20 20)))))))

