(in-package #:gui)

(defclass rectangle (element)
  ((color :initarg :color :initform r:+black+ :accessor color)))

(defmethod draw ((rect rectangle))
  (with-slots (screen-x screen-y w h color visible) rect
    (when visible
      (r:draw-rectangle (floor screen-x)
		      (floor screen-y)
		      (floor w)
		      (floor h)
		      color))))

(defmacro make-rectangle (&rest args)
  `(update (make-instance 'rectangle ,@args)))
